//
//  Copyright (c) 2000 Silicon Graphics, Inc.  All Rights Reserved.
//  
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of version 2.1 of the GNU Lesser General Public
//  License as published by the Free Software Foundation.
//  
//  This program is distributed in the hope that it would be useful, but
//  WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  
//  Further, this software is distributed without any warranty that it is
//  free of the rightful claim of any third person regarding infringement
//  or the like.  Any license provided herein, whether implied or
//  otherwise, applies only to this software file.  Patent licenses, if
//  any, provided herein do not apply to combinations of this program
//  with other software, or any other product whatsoever.
//  
//  You should have received a copy of the GNU Lesser General Public
//  License along with this program; if not, write the Free Software
//  Foundation, Inc., 59 Temple Place - Suite 330, Boston MA 02111-1307,
//  USA.
//  
//  Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
//  Mountain View, CA 94043, or http://www.sgi.com/
//  
//  For further information regarding this notice, see:
//  http://oss.sgi.com/projects/GenInfo/NoticeExplan/
//
package com.sgi.sysadm.ui.tests;
import java.awt.*;
import java.applet.*;
import com.sgi.sysadm.ui.*;
import com.sgi.sysadm.util.*;
import javax.swing.*;

public class TestArrowButton {

    static public void main(String args[]) {
	
	JFrame frame = new JFrame();
	
	ResourceStack rs = new ResourceStack();
	rs.pushBundle(ResourceStack.getPackageName(ArrowIcon.class) +
		      "SysadmUI" + ResourceStack.BUNDLE_SUFFIX);
	
	JPanel panel = new JPanel();

	JButton Ebutton = new JButton(new ArrowIcon(rs, ArrowIcon.RIGHT));
	panel.add(Ebutton);
	
	JButton Wbutton = new JButton(new ArrowIcon(rs, ArrowIcon.LEFT));
	panel.add(Wbutton);
	
	JButton Nbutton = new JButton(new ArrowIcon(rs, ArrowIcon.UP));
	panel.add(Nbutton);
	
	JButton Sbutton = new JButton(new ArrowIcon(rs, ArrowIcon.DOWN));
	panel.add(Sbutton);
	
	frame.setContentPane(panel);

	frame.pack();
	frame.setVisible(true);
    }

}









